require("../../../../../../_virtual/_rolldown/runtime.js");
const require_index = require("../../utils/index.js");
let _pisell_utils = require("@pisell/utils");
//#region src/components/table/Table/fields/text/filterUtil/index.ts
function filterUtil_default({ value, key, item }) {
	if (!(0, _pisell_utils.isString)(value)) return true;
	if (key === "keywords") return JSON.stringify(item).includes(value);
	const dataValue = require_index.getValueByKeys(item, key);
	if ((0, _pisell_utils.isString)(dataValue) || (0, _pisell_utils.isNumber)(dataValue)) return `${dataValue}`.includes(value);
}
//#endregion
exports.default = filterUtil_default;
